<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWPF>true</UseWPF>
    <UseWindowsForms>true</UseWindowsForms>
    <StartupObject>BPASmartClient.App</StartupObject>
    <ApplicationIcon>hbl.ico</ApplicationIcon>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="hbl.ico" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Web.WebView2" Version="1.0.1185.39" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\BPASmartClient.CustomResource\BPASmartClient.CustomResource.csproj" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\BPASmartClient.Business\BPASmartClient.Business.csproj" />
    <ProjectReference Include="..\BPASmartClient.DRCoffee\BPASmartClient.DRCoffee.csproj" />
    <ProjectReference Include="..\BPASmartClient.GSIceCream\BPASmartClient.GSIceCream.csproj" />
    <ProjectReference Include="..\BPASmartClient.IoT\BPASmartClient.IoT.csproj" />
    <ProjectReference Include="..\BPASmartClient.KLMCoffee\BPASmartClient.KLMCoffee.csproj" />
    <ProjectReference Include="..\BPASmartClient.Lebai\BPASmartClient.Lebai.csproj" />
    <ProjectReference Include="..\BPASmartClient.MorkD\BPASmartClient.MorkD.csproj" />
    <ProjectReference Include="..\BPASmartClient.MorkF\BPASmartClient.MorkF.csproj" />
    <ProjectReference Include="..\BPASmartClient.MorkM\BPASmartClient.MorkM.csproj" />
    <ProjectReference Include="..\BPASmartClient.MorkS\BPASmartClient.MorkS.csproj" />
    <ProjectReference Include="..\BPASmartClient.Morkt.JAKA.JC\BPASmartClient.MorkTJAKAJC.csproj" />
    <ProjectReference Include="..\BPASmartClient.MorkT.Lebai.JC\BPASmartClient.MorkTLebaiJC.csproj" />
    <ProjectReference Include="..\BPASmartClient.MorkTJuicer\BPASmartClient.MorkTJuicer.csproj" />
    <ProjectReference Include="..\BPASmartClient.MorkT\BPASmartClient.MorkT.csproj" />
    <ProjectReference Include="..\BPASmartClient.SCChip\BPASmartClient.SCChip.csproj" />
    <ProjectReference Include="..\BPASmartClient.ViewModel\BPASmartClient.ViewModel.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="DeviceInfo.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
